﻿using System;
using GameKnight.Core;

namespace GameKnight
{
	
	namespace GameBoy
	{

		public partial class Register : IRegister
		{
			
			public class KEY1 : Register
			{

            	public int Speed
            	{
            		get
            		{
            			return ( ( Value >> 7 ) + 1 );
            		}
            	}

				public KEY1() : base( 0x80 )
				{
					return;
				}

				public override byte this[int Address]
				{
					set
					{
						//System.Diagnostics.Debug.Print( value.ToString() );
						Value = (byte)( ( Value & 0x80 ) | ( value & 0x01 ) );
					}
				}

				public void SpeedSwitch()
				{
					//System.Diagnostics.Debug.Print( "SS" );
					if( ( Value & 0x01 ) != 0 )
					{
						Value ^= 0x80;
					}
					return;
				}

			}
			
		}
		
	}
	
}





